Package ru.bitel.bgbilling.kernel.config.common.bean

# Class ConfigData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.config.common.bean.ConfigData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ConfigData extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `Date`
  `getLastEdited()`
  `int`
  `getModuleId()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `boolean`
  `isActive()`
  `ConfigData`
  `setActive(boolean active)`
  `ConfigData`
  `setConfig(String config)`
  `ConfigData`
  `setId(int id)`
  Устанавливает id объекта
  `ConfigData`
  `setLastEdited(Date lastEdited)`
  `ConfigData`
  `setModuleId(int moduleId)`
  `ConfigData`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ConfigData`
  `setUserId(int userId)`
  `ConfigData`
  `setUserName(String userName)`
  `ConfigDataDto`
  `toConfigDataDto()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ConfigData

    public ConfigData()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### getLastEdited

    public Date getLastEdited()

  - ### getModuleId

    public int getModuleId()

  - ### getUserId

    public int getUserId()

  - ### getUserName

    public String getUserName()

  - ### isActive

    public boolean isActive()

  - ### setActive

    public ConfigData setActive(boolean active)

  - ### setConfig

    public ConfigData setConfig(String config)

  - ### setId

    public ConfigData setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setLastEdited

    public ConfigData setLastEdited(Date lastEdited)

  - ### setModuleId

    public ConfigData setModuleId(int moduleId)

  - ### setTitle

    public ConfigData setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUserId

    public ConfigData setUserId(int userId)

  - ### setUserName

    public ConfigData setUserName(String userName)

  - ### toConfigDataDto

    public ConfigDataDto toConfigDataDto()